import { SetupContext } from 'vue';
import { ServiceSelectProps, ServiceSelectEmits } from './types';
export declare const useServiceSelect: (props: ServiceSelectProps, emit: SetupContext<ServiceSelectEmits>['emit']) => {
    showServiceTypes: import('@vue/reactivity').ComputedRef<import('./types').ServiceTypeItem[]>;
    currentServiceTypeItem: import('@vue/reactivity').ComputedRef<import('./types').ServiceTypeItem>;
    isThirdPartyServiceType: import('@vue/reactivity').ComputedRef<boolean>;
    hasServiceRootUrl: import('@vue/reactivity').ComputedRef<boolean>;
    handleServiceTypeChange: () => void;
    handleServerConfigUseTokenChange: () => void;
    handleServerConfigSubmit: () => void;
    handleNeedServiceTokenChange: () => void;
    handleServiceSelect: ({ url, token }: {
        url: any;
        token: any;
    }) => void;
    handleValidateServiceUrl: () => void;
    serviceRootUrl: import('@vue/reactivity').Ref<string, string>;
    serviceRootTokenKey: import('@vue/reactivity').Ref<string, string>;
    serviceRootTokenValue: import('@vue/reactivity').Ref<string, string>;
    serviceType: import('@vue/reactivity').Ref<string, string>;
    serviceUrl: import('@vue/reactivity').Ref<string, string>;
    serviceTokenKey: import('@vue/reactivity').Ref<string, string>;
    serviceTokenValue: import('@vue/reactivity').Ref<string, string>;
    tokenAttachType: import('@vue/reactivity').Ref<string, string>;
    dropdownWidth: import('@vue/reactivity').Ref<number, number>;
    serverConfigVisible: import('@vue/reactivity').Ref<boolean, boolean>;
    serverConfigFormData: import('@vue/reactivity').Ref<{
        rootUrl: string;
        useToken: boolean;
        token: string;
    }, {
        rootUrl: string;
        useToken: boolean;
        token: string;
    }>;
    needServiceToken: import('@vue/reactivity').Ref<boolean, boolean>;
    serviceListVisible: import('@vue/reactivity').Ref<boolean, boolean>;
    serviceUrlStatus: import('@vue/reactivity').Ref<string, string>;
    serviceUrlHelp: import('@vue/reactivity').Ref<string, string>;
    serviceRootUrlStatus: import('@vue/reactivity').Ref<string, string>;
    serviceRootUrlHelp: import('@vue/reactivity').Ref<string, string>;
};
